#!/usr/bin/python

import string


class grubTemplate:

    def __init__(self):
        
        #fd = open('/boot/grub/grub.conf', 'r')
        fd = open('sample.conf', 'r')
        line = fd.readline()

        newfile = open('grub.conf', 'w')
        newfile.write('# grub.conf modified by redhat-config-bootloader\n')

        fileData = self.parseFile()
        print fileData

    def parseFile(self):
        titles = {}

        while line:    
            if line[0] == '#':
                newfile.write(line)
                line = fd.readline()

            elif string.find(line, 'default') > -1:
                name, default = string.split(line, '=')
                line = fd.readline()

            elif string.find(line, 'timeout') > -1:
                name, timeout = string.split(line, '=')
                line = fd.readline()

            elif string.find(line, 'splashimage') > -1:
                name, splash = string.split(line, '=')
                line = fd.readline()

            elif string.find(line, 'title') > -1:
                title = string.strip(line[5:])

                line = fd.readline()
                data = []

                while string.find(line, 'title') < 0 and line:
                    data.append(string.strip(line))
                    line = fd.readline()

                titles[title] = data


        fd.close()
        newfile.close()


        print titles
        print titles.keys()
        print "####################"
        for key in titles.keys():
            print key
            entries = titles[key]
            for entry in entries:
                print entry

        return titles
